Subject: Re: [v6ops] DNSv6 Proxy !

From: "STARK, BARBARA H" <[email-masked]>
Date: Wed, 22 May 2013 19:11:18 +0000

> First, it is important to specify the DNSv6 behavior in the rfc6204bis draft.
[This is wrt specifying which address the CE router chooses to use to originate DNSv6 messages to some DNS server out in the great wide WAN.]

I disagree. But clearly, I haven't done a good job at explaining why, so let me try again.
First of all, let me start by making sure we're all working from the same, most recent draft, and not the several-year-old version the original email of this thread provided a link to. Please refer to:
http://tools.ietf.org/html/draft-ietf-v6ops-6204bis 
Please particularly note:
   "G-1:  An IPv6 CE router is an IPv6 node according to the IPv6 Node Requirements [RFC6434] specification."

My basic premise is that the access provider who wants to allow a generic, unidentified 6204/6204bis CE router to get IPv6 connectivity from their access network cannot assume that they know what IPv6 address the CE router will use to source any particular message to "Internet" destinations. If this access provider throws half a dozen IA_NA addresses, multiple IA_PD, and several A=1 prefixes in RA messages at this CE router, with all marked as "preferred" and "valid" with no "more specific routes", then that access provider cannot expect to have any knowledge of what IP address the CE router will use to source messages to DNS servers, NTP servers, or most anything else. Even if the access network provides just one IA_NA and one /56 IA_PD (for example), the access provider cannot expect to have knowledge of what IP address the CE router will use as a source address for any particular message. This CE router may be provided by an enterprise for work-at-home and have all sorts of special stuff in it (special DNS server, enterprise-specified management interface, etc.). The access provider has no clue about any special behavior of the CE router. 

If an ISP tells its users that a generic 6204bis-compliant CE router (IPv6 Ready) can be used to connect through it to the Internet, that ISP is implicitly saying that any "preferred" and "valid" A=1 RA prefixes, IA_NA addresses, and IA_PD prefixes that the access network supplies and that don't have "more specific routes" associated with them, will connect to the Internet. If this isn't true, then the ISP has no business telling their users that generic CE routers (off-the-shelf D-Link, Belkin, Linksys, etc.) will work on the ISP's network.

If the ISP wants to care whether the CE router uses an IA_NA address vs an address from the IA_PD for connecting to DNS, NTP, SIP, Dynamic DNS, or anything else out on the Internet, then 6204 and 6204bis (as currently written) CE routers cannot be expected to work on that ISP's network. If there is some huge ISP (or group of ISPs) who wants to care what address is selected and knows exactly what it is they need and want, then let that ISP come forward and say so. And say exactly what they want and why they need to be special and why they need IETF RFCs with requirements written just for their network. [Note the work being done in v6ops to specify what 3GPP devices need to do -- this is an example of a set of ISPs who made the case for special requirements; RFC 6204 could also be considered such a case, since it was written to describe devices that could connect to either CableLabs-defined or BBF-defined access networks; other ISPs have chosen to provide additive-to-RFC6204 requirements external to IETF, such as CableLabs eRouter specs, BBF TR-124 Issue 3, and RFPs issued by ISPs -- but they do not expect the generic CE router vendors of the world to follow these more specific requirements which were written more for devices procured by ISPs.] 

I truly do not care whether the 6204bis-defined CE router that has an IA_NA (preferred and valid) address and IA_PD (preferred and valid) uses one or the other of these to source DNS queries (or NTP, or connect to a SIP server, or Dynamic DNS, or...). If an ISP wants to supply preferred and valid IA_NA addresses to a generic CE router bought off the shelf at a local electronics store, and then not allow that IA_NA address to be used to query a DNS server... well, I do not support such an ISP's attempts to add complexity to these off-the-shelf devices by trying to give that IA_NA special meaning specific only to that ISP's network. 

Again, I disagree that any language needs to be added to 6204bis to force source address selection. 
Barbara